VST 3 SDK: ProcessContextRequirements Class Reference
Author: Steinberg

VST 3 SDK VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ProcessContextRequirements Class Reference

`#include <processcontextrequirements.h>`

## Public Member Functions
| ProcessContextRequirements (uint32 inFlags=0)
bool | wantsNone () const
bool | wantsSystemTime () const
bool | wantsContinousTimeSamples () const
bool | wantsProjectTimeMusic () const
bool | wantsBarPositionMusic () const
bool | wantsCycleMusic () const
bool | wantsSamplesToNextClock () const
bool | wantsTempo () const
bool | wantsTimeSignature () const
bool | wantsChord () const
bool | wantsFrameRate () const
bool | wantsTransportState () const
Self & | needSystemTime ()
| set SystemTime as requested
Self & | needContinousTimeSamples ()
| set ContinousTimeSamples as requested
Self & | needProjectTimeMusic ()
| set ProjectTimeMusic as requested
Self & | needBarPositionMusic ()
| set BarPositionMusic as needed
Self & | needCycleMusic ()
| set CycleMusic as needed
Self & | needSamplesToNextClock ()
| set SamplesToNextClock as needed
Self & | needTempo ()
| set Tempo as needed
Self & | needTimeSignature ()
| set TimeSignature as needed
Self & | needChord ()
| set Chord as needed
Self & | needFrameRate ()
| set FrameRate as needed
Self & | needTransportState ()
| set TransportState as needed

## Public Attributes
uint32 | flags {0}

## Constructor & Destructor Documentation

## ◆ ProcessContextRequirements()

ProcessContextRequirements | ( | uint32 | inFlags = 0 | ) |
| inline

## Member Function Documentation

## ◆ wantsNone()

bool wantsNone | ( |  | ) | const
| inline

## ◆ wantsSystemTime()

bool wantsSystemTime | ( |  | ) | const
| inline

## ◆ wantsContinousTimeSamples()

bool wantsContinousTimeSamples | ( |  | ) | const
| inline

## ◆ wantsProjectTimeMusic()

bool wantsProjectTimeMusic | ( |  | ) | const
| inline

## ◆ wantsBarPositionMusic()

bool wantsBarPositionMusic | ( |  | ) | const
| inline

## ◆ wantsCycleMusic()

bool wantsCycleMusic | ( |  | ) | const
| inline

## ◆ wantsSamplesToNextClock()

bool wantsSamplesToNextClock | ( |  | ) | const
| inline

## ◆ wantsTempo()

bool wantsTempo | ( |  | ) | const
| inline

## ◆ wantsTimeSignature()

bool wantsTimeSignature | ( |  | ) | const
| inline

## ◆ wantsChord()

bool wantsChord | ( |  | ) | const
| inline

## ◆ wantsFrameRate()

bool wantsFrameRate | ( |  | ) | const
| inline

## ◆ wantsTransportState()

bool wantsTransportState | ( |  | ) | const
| inline

## ◆ needSystemTime()

Self & needSystemTime | ( |  | ) |
| inline

set SystemTime as requested

## ◆ needContinousTimeSamples()

Self & needContinousTimeSamples | ( |  | ) |
| inline

set ContinousTimeSamples as requested

## ◆ needProjectTimeMusic()

Self & needProjectTimeMusic | ( |  | ) |
| inline

set ProjectTimeMusic as requested

## ◆ needBarPositionMusic()

Self & needBarPositionMusic | ( |  | ) |
| inline

set BarPositionMusic as needed

## ◆ needCycleMusic()

Self & needCycleMusic | ( |  | ) |
| inline

set CycleMusic as needed

## ◆ needSamplesToNextClock()

Self & needSamplesToNextClock | ( |  | ) |
| inline

set SamplesToNextClock as needed

## ◆ needTempo()

Self & needTempo | ( |  | ) |
| inline

set Tempo as needed

## ◆ needTimeSignature()

Self & needTimeSignature | ( |  | ) |
| inline

set TimeSignature as needed

## ◆ needChord()

Self & needChord | ( |  | ) |
| inline

set Chord as needed

## ◆ needFrameRate()

Self & needFrameRate | ( |  | ) |
| inline

set FrameRate as needed

## ◆ needTransportState()

Self & needTransportState | ( |  | ) |
| inline

set TransportState as needed

## Member Data Documentation

## ◆ flags

uint32 flags {0}

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.